php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Bug #13570 gettext error
Submitted: 2001-10-05 23:12 UTC Modified: 2001-10-06 09:09 UTC
From: xavier dot ourciere at fnac dot net Assigned:
Status: Not a bug Package: *Configuration Issues
PHP Version: 4.0.6 OS: Linux Slackware
Private report: No CVE-ID: None
View Add Comment Developer Edit
Welcome! If you don't have a Git account, you can't do anything here.
You can add a comment by following this link or if you reported this bug, you can edit this bug over here.
(description)
Block user comment
Status: Assign to:
Package:
Bug Type:
Summary:
From: xavier dot ourciere at fnac dot net
New email:
PHP Version: OS:

 

 [2001-10-05 23:12 UTC] xavier dot ourciere at fnac dot net
I get the last gettext and configuring/compiling/installing fine with:
./configure --prefix=/usr --disable-nls

After I tried to configure PHP 4.0.6 (after 4.0CVS and it was the same result) with this command line:
./configure --with-imap --with-mysql  --with-apxs=/usr/local/apache/bin/apxs --with-openssl --with-zlib --enable-ctype --enable-ftp --with-gd --enable-sockets --enable-sysvsem --enable-sysvshm --enable-memory-limit --with-png-dir=/usr/lib --with-gettext

The error reproduces even if write --with-gettext=/usr

My conf:
buildconf: autoconf version 2.13 (ok)
buildconf: automake version 1.4 (ok)
buildconf: libtool version 1.4.1 (ok)

I was really disapointed with this problem and all my research were without any solutions.

Best Regards,
Xavier O.

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2001-10-06 01:28 UTC] mfischer@php.net
Somehow .. there is missing something.

What is the actual error/bug?

- Markus

Ps: I've seen libtool version not being exactly 1.4 causing problems .. can you try this version ?
 [2001-10-06 09:05 UTC] xavier dot ourciere at fnac dot net
Ho i forget the errors, they are:

checking whether to include GNU gettext support... yes
checking for bindtextdomain in -lintl... no
checking for bindtextdomain in -lc... no
configure: error: Unable to find required gettext library

I checked header of libintl and I find the function bindtextdomain...

Nore infos :/

Thanks,
 [2001-10-06 09:09 UTC] mfischer@php.net
Thats not a bug but more likely a support question. Please ask support/install questions at php-general@lists.php.net and php-install@lists.php.net.

Hint: check config.log

Bogusifid.

- Markus


 
PHP Copyright © 2001-2020 The PHP Group
All rights reserved.
Last updated: Mon Nov 30 06:01:22 2020 UTC